a13nDocs
API 参考Provider

创建记忆 provider

POST/api/v1/memory-providers

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

请求体

application/json

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

响应体

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/memory-providers" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "string"  }'
{  "config": {    "property1": null,    "property2": null  },  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "credential_configured": true,  "enabled": true,  "header_names": [    "string"  ],  "id": "string",  "name": "string",  "organization_id": "string",  "type": "string",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "version": 0,  "workspace_id": "string"}